$(document).ready(function(){
	window.setInterval("shanshuo('.shanshuo')",500);
	if(!isMobile()&&cookie('a')!=1){
		var str=window.location.href;
		var url=str.replace(window.location.host,'www.'+window.location.host);
		tanchuang('提示：','手机访问本站页面效果更好！，<b>您现在是电脑访问</b>，<b id="to_www" class="lan">100</b> 秒后自动进入电脑版，<a href="'+url+'" target="_blank" class="red">【点击这里查看电脑版】</a>。<div class="url_ewm_w"><i class="url_ewm"></i></div>手机扫描二维码<font color="#FF0000">访问手机版</font>。 <input type="reset" value="不再提示" onclick="nots()"><script type="text/javascript">jQuery(\'.url_ewm\').qrcode(\'http://'+window.location.href+'\');window.setInterval("to_www();",1000);</script>');
	}
	if($('#pic').length)$('figure img').height($('figure img').width()*0.8);
	$("blockquote").Slider({during:8000});
		$("dl ul h4 a").css('font-weight',400);
		$("header hgroup").width($("header").width()-120);
		$("big input").width($("header").width()-100);
		$("details form big em").css('display','inline-block');
	$('.sou').click(function(){sou()});
	if($('#d').length>0)$('main h1,main h2').width($('main').width()-40)
	if($('#u').length>0)$('main h1').width($('main').width()-240)
	$('#d aside h4').click(function(){
		$('#d aside h4 sub').toggle(222);
		$('#d .codes').toggle(222);
	});
	if($("article img").length>0)setInterval(function(){Oimg("article img",$('dl').width()-10);},999);
		$("details form big em").click(function(){emot();});
		$("section .r2 var").click(function(){
		var n=parseInt($("#num").val());
		if(n>1)$("#num").val(n-1);
		else {tanchuang("数字不能小于 1");tuitan(2);}
	});
	$("section .r2 samp").click(function(){
		var n=parseInt($("#num").val()),k=parseInt($("section .r2 s").html());
		if(n<k)$("#num").val(n+1);
		else {tanchuang("数字不能大于库存或限购数量");tuitan(2);}
	});
	$("big input").click(function(){ly()});
	$('#id input').keyup(function(e){if(e.keyCode==13){ly();} });
	var i,c_w=$("center").width(),w=$(document.body).width(),h=$(document).height(),
	tag=$("#tags").length?$("#tags dl a"):$("ul dnf a"),tag_c=["black","fuchsia","gree","lime","maroon","navy","olive","purple","red","teal","blue"];
	$("menu h4").click(function(){tanchuang("More:",$("menu").html()+"<tt></tt><var>"+$("ol ul dnf").html()+"</var><div class='menuitem'>"+$('menuitem').html()+"</div>");});
	$('menuitem h2 em').click(function(){
		$(this).parents().next('ul').toggle(222)
	});
	setInterval(function(){gd("header hgroup","div");},5000);
	for(i=0;i<tag.length;i++){
		tag[i].style.fontSize=(parseInt(($("#tags").length?20:12)*Math.random())+8)+'px';
        tag[i].style.color=tag_c[Math.floor((Math.random()*tag_c.length))];
	}
	$("ins em").click(function(){$("ins").hide(99)});
		$("details ul li span").mouseenter(function(){
		var s=$(this).children('s').html();
		if(s>0){
			$(this).children('b').eq(s==1?1:0).hide();
			$(this).children('var').show(55);
		}
	})
	$("details ul li").mouseleave(function(){
		if($(this).children('span').children('s').html()>0){
			$(this).children('span').children('var').hide();
			$(this).children('span').children('b').show();
		}
	})
	$("details ul li span b em").click(function(){	zancai('zan',$(this));})
	$("details ul li span b i ").click(function(){zancai('cai',$(this));})

	$("footer ul samp a").mouseover(function(){$("footer ul del").show(99);});
	$("footer ul").mouseout(function(){$("footer ul del").hide(99);});
	$(window).scroll(function(){
		var _top=$(window).scrollTop();
		if(_top<20)$("footer ul span a").hide(77);
		if(_top>20)$("footer ul span a").show(77);
		genshui('nav','blockquote tt');
	});
	$('#bdfx').css({'float':'left','font-size':'10px'}).hide(99);
	if($('#fangwen').length){fw();}
	$("#yzmpng").html(yz());
	
	$("footer ul span a").click(function(){to_here("html,body");})
	$("#admin_login big input").click(function(){login();});
	if(isMobile()){
		$('fieldset figure').css({'width':'48%','marginLeft':'1%'});
	}
	$("fieldset figure").mouseenter(function(){
		$(this).children('a').children('img').css({width:"247px",height:"247px",'margin':'-17px 0 0 -17px'});
		$(this).children('figcaption').css({'marginTop':'-40px'})
	});
	
	$("fieldset figure").mouseleave(function(){
		$(this).children('a').children('img').stop().animate({width:'100%',height:"150px",'margin':'0'});
		$(this).children('figcaption').stop().animate({'marginTop':'-25px'})
	});
	//
	$('ol code').html($('ol .code').html());
	$('ol aside input').click(function(){
		$(this).css({'border':'1px solid #ccc','color':'#09F'});
	});
	$('ol dfn strong').click(function(){
		if($('#hh').val().length){
			if($('#hh').val().length<5)
				cw('#hh','不能低于5位字符');
			else
				window.location.href=$('#ur').val()+'d/zs/'+$('#hh').val()+$('#hz').val();
			return;
		}
		tj();
	});
	$('center').on('click','ol aside .xz i',function(){
		var s=$(this).children('s').html(),v='/images/xz/'+s.replace(/\+/g,''),i;
		if(parseInt(s.indexOf('+'))){
			i='-1.png';
			s='+'+s;
		}else{
			i='.png';
			s=s.replace(/\+/g,'');
		}
		$(this).children('img').attr('src',v+i);
		$(this).children('s').html(s);
	});	
	$('center').on('click','ol aside .wz i',function(){
		var s=$(this).children('s').html(),v;
		if(parseInt(s.indexOf('+'))){
			s='+'+s;
			$(this).css({'color':'#fff','backgroundColor':'#0088E7'});
		}else{
			$(this).css({'color':'#555','backgroundColor':'#fff'});
			s=s.replace(/\+/g,'')
		}
		$(this).children('s').html(s);
	});
	$('dl aside li').click(function(){clk_dl($(this));});
	$('dl aside li b a').click(function(){
		var s=$(this).children('s');
		setTimeout("baojia('"+s.eq(0).html()+"','"+s.eq(1).html()+"','"+$(this).parents().parents().children('b').eq(0).html()+"')",666);
	});
	$('ol dfn b').click(function(){
		$('ol .code').html($('ol code').html());
	});
	if($('#u').length>0||$('#index').length>0||$('#tag').length>0){
		$('dl ul li,dl ul samp').click(function(){
			window.location.href=$(this).parents('ul').children('h4').children('a').attr('href');
		});
		var s='dl dd li i';
		$(s).height($(s).width()/1.3);
		window.setInterval("iem('"+s+"')",200);
	}
});
function sou(a){
	if(a){
		a=$('#sou_ci').val();
		if(a=='') return layer.msg('<b>请输入关键词！</b>',{icon:2});
		window.location.href=$('#url').val()+'sou/'+encodeURI($('#sou_ci').val())+'/';
	}else
		tanchuang('搜索关键词，或商品货号','<ul><var><tt></tt></var><input id="sou_ci" value="" size="12"> 多词用空格分开<var><tt></tt></var><input type="button" value="　立即搜索　" onclick="sou(1)"><var><tt></tt></var></ul>');
}
function jsq(a,b,c){
	var d=c?'<big>注意，现在已经是高发期！</big>':'<img src="images/emot/2.gif"> 现在是流感低发时期 <img src="images/emot/42.gif">';
	if(b<1){
		$('.'+a).html(d);return;
	}
	var d = Math.floor((b)/60/60/24);
	var h = Math.floor((b-d*60*60*24)/60/60);
	var i = Math.floor((b-d*60*60*24-h*60*60)/60);
	var s = Math.floor(b-d*60*60*24-h*60*60-i*60);
    setTimeout(function(){jsq(a,b-1,c,d);},1000);
    $('.'+a).html("还有<big>"+d+"</big>天<big>"+h+"</big>小时<big>"+i+"</big>分<big>"+s+"</big>秒");
}
function iem(s){
	var s_w=$(s).width(),s_h=$(s).height();
	$(s).each(function(){
		var i=$(this).children('img');
		if(i.height()<s_h)i.css({height:'100%',width:'auto'});
	});
}
function kl(){
	var v=$("#kl").val(),vv=v.split(',');
	$('#kl1').val(vv[0]);
	$('#kl2').val(vv[1]);
}
function jc(a){
	var b=$('#'+a+'1').val(),c=$('#'+a+'2').val(),d;
	if(a=='jg'){
		b=parseInt(b);
		if(b<500){
			b=500;
			d='价格';
		}
	}else{
		if(b<0.3){
			b=0.3;
			d='大小';
		}
	}
}
function jg(){
	var v=$("#jg").val(),vv=v.split(',');
	$('#jg1').val(vv[0]);
	$('#jg2').val(vv[1]);
}
function cw(a,b,c){
	$(a).css({'border':'1px solid #f00','color':'#f00'});
	setTimeout("layer.msg('<b>错误：</b>"+b+"！',{icon:2})",1);
}
function shanshuo(a){
	$(a).css('color','#03a9f4');
	setTimeout("$('"+a+"').css('color','#f30')",100);
	setTimeout("$('"+a+"').css('color','#ccc')",400);
}
function tc0(){
	var w=$(window).width(),h=$(window).height();
	if(isMobile()){
		$(".layui-layer").css({'width':w*.9+'px','height':h*.7+'px','top':h*.15+'px','left':w*.05+'px'});
	}else{
		var _w=500,_h=580;
		$(".layui-layer").css({'width':_w+'px','height':_h+'px','top':(h-_h)*.5+'px','left':(w-_w)*.5+'px'});
	}
	$('.tc0').height(isMobile()?h*.6:_h*.88);
	$('.layui-layer-title').css('padding-left','10px');
}
function shitu(a,b){
	layer.open({
		type: 5,
		shade: false,
		title: '<h4>编号<i>'+a+'</i>形状图例：</h4>',
		content: '<div class="tc0"><div class="img"><img src="/images/xz/'+b+'.jpg"><tt></tt><img src="/images/xz/'+b+b+'.jpg"><tt></tt><div class="beizhu">（所有参数均以钻石实物和证书标注为准）</div></div></div>',
	});
	tc0();
}
function clk_dl(a){
	var b=a.children('i'),s=parseInt(a.children('s').html()),xz,jg=a.children('b').eq(1).children('a').children('s'),zj=b.eq(9).html();
	switch(s){
		case 1:xz='圆形';break;
		case 2:xz='椭圆';break;
		case 3:xz='垫形';break;
		case 4:xz='水滴形';break;
		case 5:xz='心形';break;
		case 6:xz='橄榄形';break;
		case 7:xz='公主方';break;
		case 8:xz='祖母绿';break;
		case 10:xz='垫形';break;
		default:xz='其它';break;
	}
	layer.open({
		type: 5,
		shade: false,
		area: ['30%','50%'],
		title: '<h4>证书号<i>'+a.children('em').html()+'</i>钻石详情：</h4>',
		content: '<div class="tc0"><dfn onClick="shitu(\''+(a.children('em').html())+'\',\''+s+'\')"><b>点击查看<br>形状图例</b><img src="/images/xz/'+s+'.png"></dfn><p><b>证书：</b>'+b.eq(1).html()+(b.eq(1).html()=='GIA'?' <a target="_blank" href="https://www.gia.edu/report-check?reportno='+a.children('em').html()+'" class="shanshuo">查看证书</a>':'')+'<br><b>证号：</b>'+a.children('em').html()+'<br><b>形状：</b>'+xz+'<br><b>钻重：</b>'+b.eq(2).html()+'克拉'+(zj==''?'':'<br><b>直径：</b>'+zj)+'</p><p><b>市场价：</b><cite>￥'+a.children('b').eq(0).html()+'.00</cite><tt></tt><b>优惠价：</b><cite onClick="baojia('+jg.eq(0).html()+','+jg.eq(1).html()+','+a.children('b').eq(0).html()+')"><i>点击查看优惠价格</i></cite><tt></tt></p><p><sub onClick="ts(\'jd\')">什么是净度？</sub><b>净度：</b>'+b.eq(3).html()+'<tt></tt><sub onClick="ts(\'ys\')">颜色等级划分</sub><b>颜色：</b>'+b.eq(4).html()+'<tt></tt></p><p><sub onClick="ts(\'qg\')">什么是切工？</sub><b>切工：</b>'+b.eq(7).html()+'<tt></tt><sub onClick="ts(\'qg\')">什么是抛光？</sub><b>抛光：</b>'+b.eq(5).html()+'<tt></tt><sub onClick="ts(\'qg\')">什么是对称？</sub><b>对称：</b>'+b.eq(6).html()+'<tt></tt></p><p><sub onClick="ts(\'yg\')">什么是荧光？</sub><b>荧光：</b>'+b.eq(8).html()+'<tt></tt><b>咖色：</b>'+b.eq(10).html()+'<tt></tt><b>奶色：</b>'+b.eq(11).html()+'<tt></tt></p><p><b>所在地：</b>'+a.children('b').eq(2).html()+'<tt></tt><b>备注：</b>'+b.eq(12).html()+'<tt></tt></p><div class="beizhu">（所有参数均以钻石实物和证书标注为准）</div><tt></tt></div>',
	});
	tc0();
}
function ts(a){
	var t,c;
	switch (a){
		case 'jd':t='什么是净度';c='钻石净度为钻石视觉上的洁净程度，在10倍放大镜下观察，FL无瑕级、IF内部无瑕级、VVS1-VVS2极轻微瑕级、VS1-VS2轻微内含级、SI1-SI2微内含级、I1-I2-I3内含级。<a target="_blank" href="images/zuanshijingdu.jpg" class="lan">查看视图说明</a>';break;
		case 'ys':t='颜色等级划分';c='D,E,F属于无色；G,H,I,J是接近无色；K,L,M为微淡黄色；N以下为淡黄色；Z以下称为彩钻。如果考虑性价比，可以选择G~J等级，至于K颜色后面的钻石颜色的不建议大家购买。<a target="_blank" href="images/zuanshiyanse.jpg" class="lan">查看视图说明</a>';break;
		case 'qg':t='关于切工、对称、抛光';c='切工包括对称和抛光的效果再加上切割面角度的变化。EX理想切工、VG非常好切工、G好切工、F一般切工、P差切工。切工的优异程度直接影响钻石得出火、闪光，以及完美的圆型、梨型、心型、祖母绿型、公主型、橄榄型、椭圆型等。';break;
		case 'yg':t='什么是荧光';c='荧光分为N无、F弱、M中、S强、V极五个等级。多数钻石都有荧光，但它对身体无辐射，对人体安康也无任何其他负面影响。GIA的研究表明对绝大部分钻石，荧光的强度对外观并无明显影响。';break;
	}
	layer.open({
		type: 5,
		shade: false,
		area: ['350px','350px'],
		title: '<h4>'+t+'</h4>',
		content: '<div class="tc0"><tt></tt><p>　　'+c+'</p><var><tt></tt></var></div>',
	});
}
function tj(){
	var jg1=parseInt($('#jg1').val()),jg2=parseInt($('#jg2').val()),kl1=parseFloat($('#kl1').val()),kl2=parseFloat($('#kl2').val()),xz='',arr=['xz','ys','jd','qg','pg','dc','yg','zs','dz','ns','ks'];
	if(jg1<100)
		return cw('#jg1','价格初始值不能小于100');
	if(jg1>jg2)
		return cw('#jg2','价格结束值不能小于开始值');
	if(kl1<0.01)
		return cw('#kl1','钻重值不能小于0.01');
	if(kl1>kl2)
		return cw('#kl2','钻重结束值不能小于开始值');
	var url=$('#url').val()+'d/'+jg1+'-'+jg2+':'+kl1+'-'+kl2;
	for(var j=0;j<arr.length;j++) {
		var str='';
		$('ol .code .'+arr[j]+' s').each(function(){
			if(parseInt($(this).html().indexOf('+'))==0){
				str=str + '+'+($(this).html().replace(/\+/g,''));
			}
		});
		url+=':'+((str)?str.substr(1):0);
	}
	window.location.href=url+':1';
}
function baojia(a,b,c){
	if(a=='')return layer.msg('登录后才能查看会员价！',{icon:6});
	if(a<5)return layer.msg((a<3?(a<2?'每周的周三和周四下单，是我们的钻石优惠活动日，每次让利100-500元左右':'散客购买每次降2%，直到最低折扣'):(a==3?'商家可享受单品类最低折扣':'加盟店享受全品类最低折扣'))+'!',{icon:1,time:a==1?6000:2000});
	layer.open({
		type: 5,
		shade: false,
		area: ['350px','400px'],
		title: '<h4>当前报价：</h4>',
		content: '<div class="tc0"><tt></tt><p><b>市场价：</b><s>　'+c+'.00　</s><tt></tt></p><p><b>当前售价：</b><kbd><font face="微软雅黑"><i>￥</i>'+a+'<i>.00</i></font></kbd><var onclick="baojia(1)">　申请优惠，点击这里</var><tt></tt>'+
		//'<b>淘宝交易：</b><i>￥</i>'+parseInt(a*0.9)+'.00</p>'+
		//'<b>预付定金：</b><i>￥</i>'+parseInt(a*0.2)+'.00</p>'+
		(b<1?'':'<p>（进货价：￥'+b+'，赚'+(a-b)+'　本行仅管理员可见）<tt></tt></p>')+'<p><b>散客二次购买：</b><var onclick="baojia(2)">点击这里</var><tt></tt><b>业内商家购买：</b><var onclick="baojia(3)">点击这里</var><tt></tt>'+
		'<b>加盟店铺购买：</b><var onclick="baojia(4)">点击这里</var><tt></tt'+
		'></p><div class="beizhu"><var><tt></tt></var>'+($('.weixin').length?'详情请加微信咨询：<i>'+$('.weixin').html()+'</i>':'')+'</div>'+($('.dianhua').length?'<p><b>联系电话：</b><a href="tel:'+$('.dianhua').html()+'">'+$('.dianhua').html()+'</a><tt></tt></p>':'')+'<p><b>说明：</b><i class="red">淘宝交易，安全放心！</i>通常到货周期为15-30天左右，除到货时发现双方承认的质量问题外，其他情况下定金不可退，也不可换购其他产品。另外，到货周期会受到国家法定节假日影响而顺延，具体顺延时间请咨询网站客服。</p><var><tt></tt></var></div>',
	});
}
function to_www(){
	var a=parseInt($('#to_www').html());
	a--;
	if(a<0) return;
	if(a>0)
		$('#to_www').html(a);
	if(a==0){
		var str=window.location.href;
		window.location.href=str.replace(window.location.host,'www.'+window.location.host);
	}
}
function Oimg(a,b){
	$(a).each(function(i){
		if($(this).width()>b){
			var c="<p onclick=\"tanchuang('查看当前第"+(i+1)+"张图片原图：','<img src="+$(this).attr("src")+">')\" class='red'>（点击这里查看第"+(i+1)+"张图片原图）</p>";
			if($(this).parent('a').html()==undefined)$(this).after(c);
			else $(this).parent('a').after(c);
			$(this).animate({width:b});
		}
	})
}
function to_here(a,b){$('html,body').animate({scrollTop:$(a).offset().top},b|500);}
function gd(a,b){
	if($(a+" input").length<1)$(a).prepend('<input value="0" type="hidden">');
	b=a+" "+b;
	var c=parseInt($(a+" input").val());
	$(b+":eq("+c+")").animate({height:0});
	c=c+1;
	if(c==$(b).length){
		$(b).animate({height:$(a).height()});
		c=0;
	}
	$(a+" input").val(c)
}
function genshui(a,b){
	var c=$(b).offset().top-$(a).height(),d=$(window).scrollTop();
	if(c>d){
		$(a).css({"position":"inherit","marginTop":"5px"});
		$(b).css("marginTop",0);
	}
	if(c<d){
		$(a).css({"position":"fixed","marginTop":0});
		$(b).css("marginTop",$(a).height());
	}
}
function ms_tm(a,b,c){
	if(c<1){
		$('#'+a).html("<b><strike>本次抢购活动已结束！</strike></b>");return
	}
	if(b<1){
		$(".r9 s").hide(99);$('#'+a).html("<b onclick='qianggou()'><em>抢购活动开始啦！快快快抢抢抢！！！</em></b>");
		$(".r3 b").html('立即抢购');
		return;
	}
	var d = Math.floor((b)/60/60/24);
	var h = Math.floor((b-d*60*60*24)/60/60);
	var i = Math.floor((b-d*60*60*24-h*60*60)/60);
	var s = Math.floor(b-d*60*60*24-h*60*60-i*60);
    setTimeout(function(){ms_tm(a,b-1,c);},1000);
    $('#'+a).html("还有<b><em>"+d+"</em></b>天<b><em>"+h+"</em></b>小时<b><em>"+i+"</em></b>分<b><em>"+s+"</em></b>秒开抢！");
	$(".r3 b").html('准备抢购');
}
function zancai(a,b){
	var c,d,e,f,span=b.parent().parent();
	if(a=='zan'){
		c=0;
		d='em';
		e=1;
	}else{
		c=1;
		d='i';
		e=2;
	}
	if(span.children('s').html()>0){
		span.children('var').show(55);
		return ;
	}
	$.ajax({
		url : window.location.href,
		data: "php=asp&aspx="+a+"&cgi="+span.children('del').html(),
		type: "POST",
		dataType: "text",
		success: function(j){
			if(j==1){
				span.children('var').html('已'+(a=='zan'?'赞':'踩')+'过');
				span.children('s').html(e);
				e=parseInt(span.children('b').eq(c).children(d).html())+1;
				span.children('b').eq(c).html('<kbd><'+d+'>'+e+'</kbd></em>');
			}else tanchuang('问题描述',j);
	}})
}
function fw(a){
	a=a||$('#fangwen del').html()
	$.ajax({
		url : window.location.href,
		data: "fw="+a,
		type: "POST",
		dataType: "text",
		success: function(j){
			$('#fangwen').html(j)
	}})
}
function emot(a,id){
	id=id||'content';
	if(a){
		a='[/'+a+']';
		var b=$("#"+id)[0];
		var c=b.value;
		var d=b.selectionStart;
		b.value=c.substring(0,b.selectionStart)+a+c.substring(b.selectionEnd,c.length);
		var e=d+a+a.length;
		b.setSelectionRange(e,e);
		var f=a.length+c.length;
		if(b.setSelectionRange){
			b.focus();  
			b.setSelectionRange(f,f);  
		}else if(b.createTextRange){
			var r=b.createTextRange();  
			r.collapse(true);  
			r.moveEnd('character',e);  
			r.moveStart('character',e);  
			r.select();
		}
		return;
	}
	if(!$('details form ins').is(':hidden')&&$('details form ins').html()){
		$('details form ins').hide(88);return;
	}
	var htm='<tt></tt>';
	for(var i=1;i<135;i++){
		htm+='<img src="images/emot/'+i+'.gif" onclick="emot('+i+')" />';
	}
	$('details form ins').html("<span onclick='guanbi(\"details form ins\")' title='Close (关闭)'>×</span>"+htm).hide().show(222);
}
function xianshu(a,b){
	a = parseInt(a);
	if(a<1){tanchuang("数字不能小于 1");tuitan(2);a=1;}
	else if(a>b){tanchuang("数字不能大于库存或限购数量");tuitan(2);a=1;}
	$("#num").val(a);
}

function qianggou(a){
	if($('#num').length==0)return;
	var b=$('#num').val();
	if(a==undefined){
		a=parseInt(Math.random()*10000000000);
		tanchuang('当前订单数量：'+b,'<div class="l bt" onclick="qianggou('+a+')">确定</div><div class="l bt" onclick="tuitan()">取消</div>');
		return;
	}
	$.ajax({
		url : window.location.href,
		data: "php=order&asp="+b+'&html='+a,
		type: "POST",
		dataType: "text",
		success: function(j){
			if(j==0){
				tanchuang("订单生成失败！",'<div class="l bt" onclick="qianggou()">重新生成</div><div class="l bt" onclick="tuitan()">关闭</div>');
				return;
			}
			if(j==1){
				tanchuang("订购数量不能小于1！");tuitan(3);
				return;
			}
			if(j==2){
				tanchuang("登录后才能参与！");tuitan(3);
				return;
			}
			if(j==3){
				tanchuang("项目不存在！");tuitan(3);
				return;
			}
			if(j==4){
				tanchuang("库存数量不足订购数量！");t
				goto(window.location.href);
				return;
			}
			if(j==5){
				tanchuang("不能购买自己的商品！");tuitan(3);
				return;
			}
			if(j==6){
				tanchuang("卖光了！");
				goto(window.location.href);
				return;
			}
			if(j==7){
				tanchuang("抢购活动还未开始！");
				return;
			}
			if(j==8){
				tanchuang("抢购活动已经结束！");
				return;
			}
			if(j==9){
				tanchuang("不能大于限购数量！");tuitan(3);
				return;
			}
			if(j==10){
				tanchuang("订购累计总数超过上限！");tuitan(3);
				return;
			}
			if(j==11){
				tanchuang('出错了：',"您的会员级别无法参与该商品购买，详情请咨询网站客服人员！");
				return;
			}
			tanchuang("操作成功！");
			goto(j);

	}})
}
function tanchuang(a,t){
	var txt,t_w,t_h,m_h,t_0,t_4;
	$(".tanchuang").height(document.body.scrollHeight);
	$(".tanchuang").show();
	txt = "<div class='tan'><div class='tan3'><span onclick='tuitan()' title='Close (关闭)'>×</span><h3>"+a+"</h3></div><div class='tan0'><div class='tan4'></div><div class='tan5'></div></div></div>";
	$("body").append(txt);
	if(!t)$(".tan0").remove()
		$(".tan4").html(t);
	t_4 = $(".tan4").height()+40;
	t_0 = $(window).height()*.9;
	if(t_4<t_0){
		t_h = $(".tan").height();
		m_h = ($(window).height()-t_h)*.5;
	}else{
		t_h = t_0
		m_h = $(window).height()*.05
	}
	t_w = $(window).width()*.9;
	$(".tan").css({"width":t_w+"px","marginTop":+m_h+"px"});
	$(".tan").css("marginLeft","5%");
	$(".tan0").height(t_h-30);	
	$(".tan").show();
	$(".tan4 menu h4").hide();
}
function nots(){cookie('a',1);tuitan();}
function guanbi(a,b){$(a).hide(99);if(b)$(b).show();}
function goto(a,b,c){
	b=b?b:3;
	window.setTimeout(function(){
		b--;
		if(b>0){
			$('.tan center blink').html(b);
			goto(a,b,c);
		}else{
			if(c){
				tanchuang('在新窗口打开链接：','<center>&nbsp;&nbsp;&nbsp; <a target="_blank" href="'+a+'" class="lan" onclick="tuitan()">如果浏览器没有响应，请鼠标点击这里！</a></center>');
				window.open(a);
			}
			else location.href=a;
		}
	},1000);
}
function get(a){
	var b = new RegExp("(^|&)"+a+"=([^&]*)(&|$)");
	var c = window.location.search.substr(1).match(b);
	if (c!=null) return unescape(c[2]); return null;
}
function ly(){
	var err=0,arr=['nid','uname','email','content','atime'];
	for(var i=0;i<5;i++){
		if($('#'+arr[i]).length<1){
			err=1;
			alert('模板出错！评论提交失败！');
		}
	}
	if(err)	return false;
	var uname=$('#uname').val(),email=$('#email').val(),url=$('#url').length>0?$('#url').val():'',content=$('#content').val(),nid=$('#nid').val(),atime=$('#atime').val();t=/[@=\/'<>\\"#$%&\^*]/.test(uname);
	if(uname==''||t){
		tanchuang("名称不能为空，并且不能含有特殊字符！");tuitan(2);
		$('#uname').focus();
		return false;
	}
	if(email!=""){
		if(/^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$/.test(email)==false){
			tanchuang("邮箱地址错误！");tuitan(2);
			$('#email').focus();
			return false;
		}
	}
	if(content==""){
		tanchuang("评论内容不能为空！");tuitan(2);
		$('#content').focus();
		return false;
	}
	if($("#yz_a").val()){
		if($("#yzm").val().length!=$("#yz_a").val()){
			$("#yzmpng").html(yz());
			tanchuang('验证码出错！');tuitan(2);
			$('#yzm').focus();
			return false;
		}
	}
	$.ajax({
		url : window.location.href,
		data: "php=pl&jsp="+uname+"&aspx="+email+"&asp="+url+"&cgi="+encodeURIComponent(content)+"&html="+atime+"&htm="+nid+"&yzm="+$("#yzm").val(),
		type: "POST",
		dataType: "text",
		success: function(g){
			switch(g){
				case '1':g='评论成功，可能需要管理员审核！';var a=window.location.href;goto(a.replace(/#1/,'')+'?l#1');break;
				case '2':g='评论已被禁止！';break;
				case '3':g='评论超时！';break;
				case '4':g='名称禁止使用特殊符号！';break;
				case '5':g='邮箱格式错误！';break;
				case '6':g='网址中不能含有"<"字符！';break;
				case '7':g='请填写留言内容！';break;
				case '8':g='验证码错误！';$("#yzmpng").html(yz());break;
				case '9':g='评论中可能含有被禁止的内容！';break;
			}
			tanchuang(g);tuitan(2);
	}})
}
function cookie(a,b,c){
	if(c==undefined){
		if(b===undefined){
			var nameEQ = a + "=";
			var ca = document.cookie.split(';');
			for(var i=0;i < ca.length;i++) {
				var c = ca[i];
				while (c.charAt(0)==' ')
					c=c.substring(1,c.length);
				if(c.indexOf(nameEQ)==0)
					return unescape(c.substring(nameEQ.length,c.length));
			}
			return false;
		}else if(b===null)
			return cookie(a,b,-1);
		else cookie(a,b,0);
	}else{
		var d = "",date = new Date();
		date.setTime(c<0?-1:(date.getTime()+(c*1000)));
		d = "; d="+date.toGMTString();
		document.cookie = a+"="+escape(b)+d+"; path=/";
	}
}

function yz(){
	var a = $('#yz_url').val(),b = $("#yz_a").length?$("#yz_a").val():4;
	var c = a+"img/yzm/"+b+"/?"+Math.random();
	return '<img src="'+c+'" style="cursor:pointer;" id="yzmpic" onClick="this.src=\''+c+'\'" align="absmiddle"/>';
}
function isMobile(){
	if(navigator.userAgent.match(/Android/i)||navigator.userAgent.indexOf('iPhone')!=-1||navigator.userAgent.indexOf('iPod')!=-1||navigator.userAgent.indexOf('iPad')!=-1)return true;
	return false;
}

